List tables shared into a workspace (Teams)
GET
/v1/workspaces/{workspaceId}/shared-tables
const url = 'https://shareout.site/v1/workspaces/example/shared-tables';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/workspaces/example/shared-tables \ --header 'Authorization: Bearer <token>'Any workspace member can list the shared-table catalog.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string
Responses
Section titled “ Responses ”Shared tables in the workspace
Media type application/json
object
viewerRole
string
sharedTables
Array<object>
object
sharedName
string
access
string
ownerArtifactId
string
ownerName
string
sourceTable
string
Example
{ "sharedTables": [ { "access": "read" } ]}Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}